#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, K;
    scanf("%i %i",&N,&K);
    int a[N];
    int pogodak;

    for(int i = 0; i < N; i++){
        scanf("%i",&a[i]);
    }

    for(int i = 0; i < N; i++){
        if(a[i] == K){
            if(i < N - 1){
                pogodak = a[i+1];
            }
            if(i == N - 1)
                pogodak = a[0];
        }
    }

    printf("%i",pogodak);

    return 0;
}